aboutsummaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2011-09-29 23:11:30 -0300
committerSilvio Rhatto <rhatto@riseup.net>2011-09-29 23:11:30 -0300
commit7cc8f0dde9431998138c04bd22bbb83e30b37e42 (patch)
tree5ecff8a630583214fcc9d1179436bbfdf883ad85 /share
parent8d5c13c306a7229cce440049e8833c96f6a879cb (diff)
downloadhydra-7cc8f0dde9431998138c04bd22bbb83e30b37e42.tar.gz
hydra-7cc8f0dde9431998138c04bd22bbb83e30b37e42.tar.bz2
Adding puppet-finger hydra perspective
Diffstat (limited to 'share')
-rwxr-xr-xshare/hydra/puppet-finger13
-rwxr-xr-xshare/hydractl/puppet-finger2
2 files changed, 14 insertions, 1 deletions
diff --git a/share/hydra/puppet-finger b/share/hydra/puppet-finger
new file mode 100755
index 0000000..0381535
--- /dev/null
+++ b/share/hydra/puppet-finger
@@ -0,0 +1,13 @@
+#!/bin/bash
+#
+# Check puppet fingerprints, hydra perspective.
+#
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+BASENAME="`basename $0`"
+
+hydra $HYDRA mass hydractl puppet-finger
diff --git a/share/hydractl/puppet-finger b/share/hydractl/puppet-finger
index 010cca1..2bd29c1 100755
--- a/share/hydractl/puppet-finger
+++ b/share/hydractl/puppet-finger
@@ -27,7 +27,7 @@ function puppet_openssl {
if [ -d "/var/lib/puppetmaster/ssl" ]; then
if [ -d "/var/lib/puppetmaster/ssl/ca/signed" ]; then
for file in `ls /var/lib/puppetmaster/ssl/ca/signed`; do
- fp="`puppet_openssl $file`"
+ fp="`puppet_openssl /var/lib/puppetmaster/ssl/ca/signed/$file`"
echo "`basename $file .pem`: $fp"
done
fi